curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters/{skill_cluster_external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters/{skill_cluster_external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters/{skill_cluster_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"domain_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"skill_cluster_name": "Database Management",
"skill_cluster_description": "Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle.",
"last_updated": "2021-01-21T17:32:28Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get Skill Cluster
Get the Skill Cluster information stored in the system.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Skill Cluster ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Query Parameters
Additional Skill Cluster attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
custom_properties Response
OK
- 3-level Taxonomy
- 4-level Taxonomy
Default structure for Skill Cluster.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The unique ID of a Domain to which this Skill Cluster is linked, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"5cbdbdbe-5f44-4423-8157-520f8a2f429a"
Name of the Skill Cluster.
1 - 255"Database Management"
Description of the Skill Cluster.
"Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle."
Timestamp of the last update to this entity.
"2021-01-21T17:32:28Z"
Was this page helpful?